# Uses of Class
javafx.concurrent.ScheduledService

Packages that use ScheduledService
Package
Description
javafx.concurrent
Provides the set of classes for javafx.task.

## Uses of ScheduledService in javafx.concurrent

Fields in javafx.concurrent with type parameters of type ScheduledService
Modifier and Type
Field
Description
`static final Callback<ScheduledService<?>,Duration>`
ScheduledService.`EXPONENTIAL_BACKOFF_STRATEGY`
A Callback implementation for the `backoffStrategy` property which will exponentially backoff the period between re-executions in the case of a failure.
`static final Callback<ScheduledService<?>,Duration>`
ScheduledService.`LINEAR_BACKOFF_STRATEGY`
A Callback implementation for the `backoffStrategy` property which will linearly backoff the period between re-executions in the case of a failure.
`static final Callback<ScheduledService<?>,Duration>`
ScheduledService.`LOGARITHMIC_BACKOFF_STRATEGY`
A Callback implementation for the `backoffStrategy` property which will logarithmically backoff the period between re-executions in the case of a failure.
Methods in javafx.concurrent that return types with arguments of type ScheduledService
Modifier and Type
Method
Description
`final ObjectProperty<Callback<ScheduledService<?>,Duration>>`
ScheduledService.`backoffStrategyProperty()`
Computes the amount of time to add to the period on each failure.
`final Callback<ScheduledService<?>,Duration>`
ScheduledService.`getBackoffStrategy()`
Gets the value of the `backoffStrategy` property.
Method parameters in javafx.concurrent with type arguments of type ScheduledService
Modifier and Type
Method
Description
`final void`
ScheduledService.`setBackoffStrategy(Callback<ScheduledService<?>,Duration> value)`
Sets the value of the `backoffStrategy` property.